package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ServiceCheckBean extends BaseMesPageBean {

        private List<ListBean> list;

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }


        public static class ListBean {
            /**
             * id : 697eccdb9e5f11ea8334fa163e1166bd
             * createDateTime : 2020-05-25
             * updateDateTime : null
             * billNum : DJB2005251003
             * billDescription : 2233
             * planId : 686a53ca9e5f11ea8334fa163e1166bd
             * assetId : null
             * spotCheckPersonId : null
             * acceptancePsersionId : null
             * locationId : null
             * description : null
             * planBeginTime : null
             * planEndTime : null
             * beginTimePlan : null
             * endTimePlan : null
             * beginTimeAdjust : null
             * endTimeAdjust : null
             * beginTimeActual : 14:00:00
             * endTimeActual : null
             * adjustBeginTime : null
             * adjustEndTime : null
             * actualBeginTime : 2020-06-02 14:00:00
             * actualEndTime : null
             * createby : null
             * changeby : null
             * delete : null
             * status : 0
             * siteId : null
             * orgId : null
             * astAssetCode : null
             * astAssetName : null
             * createUserCode : null
             * createUserName : null
             * spotCheckPersonCode : null
             * spotCheckPersonName : 测试部门3
             * locationName : null
             * siteName : 销售七公司（GK）
             * templateId : null
             * procId : null
             * approved : null
             */

            private String id;
            private String createDateTime;
            private String updateDateTime;
            private String billNum;
            private String billDescription;
            private String planId;
            private String assetId;
            private String spotCheckPersonId;
            private String acceptancePsersionId;
            private String locationId;
            private String description;
            private String planBeginTime;
            private String planEndTime;
            private String beginTimePlan;
            private String endTimePlan;
            private String beginTimeAdjust;
            private String endTimeAdjust;
            private String beginTimeActual;
            private String endTimeActual;
            private String adjustBeginTime;
            private String adjustEndTime;
            private String actualBeginTime;
            private String actualEndTime;
            private String createby;
            private String changeby;
            private String delete;
            private int status;
            private String siteId;
            private String orgId;
            private String astAssetCode;
            private String astAssetName;
            private String createUserCode;
            private String createUserName;
            private String spotCheckPersonCode;
            private String spotCheckPersonName;
            private String locationName;
            private String siteName;
            private String templateId;
            private String procId;
            private String approved;

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(String createDateTime) {
                this.createDateTime = createDateTime;
            }

            public String getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(String updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getBillNum() {
                return billNum;
            }

            public void setBillNum(String billNum) {
                this.billNum = billNum;
            }

            public String getBillDescription() {
                return billDescription;
            }

            public void setBillDescription(String billDescription) {
                this.billDescription = billDescription;
            }

            public String getPlanId() {
                return planId;
            }

            public void setPlanId(String planId) {
                this.planId = planId;
            }

            public String getAssetId() {
                return assetId;
            }

            public void setAssetId(String assetId) {
                this.assetId = assetId;
            }

            public String getSpotCheckPersonId() {
                return spotCheckPersonId;
            }

            public void setSpotCheckPersonId(String spotCheckPersonId) {
                this.spotCheckPersonId = spotCheckPersonId;
            }

            public String getAcceptancePsersionId() {
                return acceptancePsersionId;
            }

            public void setAcceptancePsersionId(String acceptancePsersionId) {
                this.acceptancePsersionId = acceptancePsersionId;
            }

            public String getLocationId() {
                return locationId;
            }

            public void setLocationId(String locationId) {
                this.locationId = locationId;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public String getPlanBeginTime() {
                return planBeginTime;
            }

            public void setPlanBeginTime(String planBeginTime) {
                this.planBeginTime = planBeginTime;
            }

            public String getPlanEndTime() {
                return planEndTime;
            }

            public void setPlanEndTime(String planEndTime) {
                this.planEndTime = planEndTime;
            }

            public String getBeginTimePlan() {
                return beginTimePlan;
            }

            public void setBeginTimePlan(String beginTimePlan) {
                this.beginTimePlan = beginTimePlan;
            }

            public String getEndTimePlan() {
                return endTimePlan;
            }

            public void setEndTimePlan(String endTimePlan) {
                this.endTimePlan = endTimePlan;
            }

            public String getBeginTimeAdjust() {
                return beginTimeAdjust;
            }

            public void setBeginTimeAdjust(String beginTimeAdjust) {
                this.beginTimeAdjust = beginTimeAdjust;
            }

            public String getEndTimeAdjust() {
                return endTimeAdjust;
            }

            public void setEndTimeAdjust(String endTimeAdjust) {
                this.endTimeAdjust = endTimeAdjust;
            }

            public String getBeginTimeActual() {
                return beginTimeActual;
            }

            public void setBeginTimeActual(String beginTimeActual) {
                this.beginTimeActual = beginTimeActual;
            }

            public String getEndTimeActual() {
                return endTimeActual;
            }

            public void setEndTimeActual(String endTimeActual) {
                this.endTimeActual = endTimeActual;
            }

            public String getAdjustBeginTime() {
                return adjustBeginTime;
            }

            public void setAdjustBeginTime(String adjustBeginTime) {
                this.adjustBeginTime = adjustBeginTime;
            }

            public String getAdjustEndTime() {
                return adjustEndTime;
            }

            public void setAdjustEndTime(String adjustEndTime) {
                this.adjustEndTime = adjustEndTime;
            }

            public String getActualBeginTime() {
                return actualBeginTime;
            }

            public void setActualBeginTime(String actualBeginTime) {
                this.actualBeginTime = actualBeginTime;
            }

            public String getActualEndTime() {
                return actualEndTime;
            }

            public void setActualEndTime(String actualEndTime) {
                this.actualEndTime = actualEndTime;
            }

            public String getCreateby() {
                return createby;
            }

            public void setCreateby(String createby) {
                this.createby = createby;
            }

            public String getChangeby() {
                return changeby;
            }

            public void setChangeby(String changeby) {
                this.changeby = changeby;
            }

            public String getDelete() {
                return delete;
            }

            public void setDelete(String delete) {
                this.delete = delete;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public String getOrgId() {
                return orgId;
            }

            public void setOrgId(String orgId) {
                this.orgId = orgId;
            }

            public String getAstAssetCode() {
                return astAssetCode;
            }

            public void setAstAssetCode(String astAssetCode) {
                this.astAssetCode = astAssetCode;
            }

            public String getAstAssetName() {
                return astAssetName;
            }

            public void setAstAssetName(String astAssetName) {
                this.astAssetName = astAssetName;
            }

            public String getCreateUserCode() {
                return createUserCode;
            }

            public void setCreateUserCode(String createUserCode) {
                this.createUserCode = createUserCode;
            }

            public String getCreateUserName() {
                return createUserName;
            }

            public void setCreateUserName(String createUserName) {
                this.createUserName = createUserName;
            }

            public String getSpotCheckPersonCode() {
                return spotCheckPersonCode;
            }

            public void setSpotCheckPersonCode(String spotCheckPersonCode) {
                this.spotCheckPersonCode = spotCheckPersonCode;
            }

            public String getSpotCheckPersonName() {
                return spotCheckPersonName;
            }

            public void setSpotCheckPersonName(String spotCheckPersonName) {
                this.spotCheckPersonName = spotCheckPersonName;
            }

            public String getLocationName() {
                return locationName;
            }

            public void setLocationName(String locationName) {
                this.locationName = locationName;
            }

            public String getSiteName() {
                return siteName;
            }

            public void setSiteName(String siteName) {
                this.siteName = siteName;
            }

            public String getTemplateId() {
                return templateId;
            }

            public void setTemplateId(String templateId) {
                this.templateId = templateId;
            }

            public String getProcId() {
                return procId;
            }

            public void setProcId(String procId) {
                this.procId = procId;
            }

            public String getApproved() {
                return approved;
            }

            public void setApproved(String approved) {
                this.approved = approved;
            }
    }
}
